unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VCLTee.TeEngine, VCLTee.Series,
  Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, frxClass, Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TLineSeries;
    Image2: TImage;
    Button2: TButton;
    Shape1: TShape;
    Shape2: TShape;
    procedure FormShow(Sender: TObject);
    procedure frxReport1BeforePrint(Sender: TfrxReportComponent);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button2Click(Sender: TObject);
var m: tmetafile;
   b: TBitmap ;
begin
  m := chart1.TeeCreateMetafile(false, chart1.GetRectangle);
  try
    //image2.Picture.Assign(m);
    m.SaveToFile('test.wmf');
  finally
    m.Free;
  end;

  b := chart1.TeeCreateBitmap(clWhite, chart1.GetRectangle);
  b.SaveToFile('test.bmp');

  //image1.picture.LoadFromFile('test.wmf');

end;

procedure TForm1.FormShow(Sender: TObject);
begin
  chart1.Series[0].FillSampleValues(100);
end;

procedure TForm1.frxReport1BeforePrint(Sender: TfrxReportComponent);
var m : TMetafile;
    b : TBitmap;
    x, Y: integer;
    m1: TMetafileCanvas;
    img: TImage;
begin
  if Sender.Name='Picture1' then
  begin
    //m := chart1.TeeCreateMetafile(false,
    //     Rect(0, 0, Round(Sender.Width), Round(Sender.Height)));

    b := chart1.TeeCreateBitmap(clWhite, chart1.GetRectangle) ;

    //m := Image2.Picture

    //Image1.Picture.Metafile.Height := Round(Sender.Height);
    //Image1.Picture.Metafile.Width := Round(Sender.Width);

    TfrxPictureView(Sender).Picture.Assign(b);
    b.Free;
    exit;
  end;

  if Sender.Name='Picture2' then
  begin
    TfrxPictureView(Sender).Picture.Assign(image2.Picture);
    exit;

  end;

  if Sender.Name='Picture3' then
  begin

   { img := TImage.Create(nil);
    m := chart1.TeeCreateMetafile(false, chart1.GetRectangle);
    img.Picture.Metafile.Assign(m);
    img.Picture.Metafile.SaveToFile('test.mwf');


    m.LoadFromFile('test.mwf');

    TfrxPictureView(Sender).Picture.Assign(img.Picture);
    img.Free;
    m.Free;
    exit;   }
  end;

end;

end.
